1. Balances & Transaction History
Partner API
  • Getting Started
    • Introduction
    • Authentication
    • Business Use Cases
  • API References
    • Partner Operations
      • Balances & Transaction History
        • Get Balances
        • Get Transaction History
        • Create Wallet
      • Currency Exchange
        • Retrieve Exchange Rate
        • Retrieve Exchange Rate and Create a Lock
        • Create and Finalize an Exchange
        • Retrieve Detailed Exchange Information
      • SEPA Transfers
        • Get SEPA Deposit Info
        • Get SEPA Deposit Contact List
        • Create a SEPA Transfer
        • Get SEPA Transfer Details
      • Crypto Withdrawal
        • Get Network Fee
        • Create Crypto Withdrawal
        • Get Crypto Withdrawal Details
      • Crypto Deposits
        • Update Travel Rule
      • Orders
        • Get Rates
        • Retrieve Order Rate and Create a Lock
        • Create and Finalize an Order
        • Get Order Details
      • Payment link & Checkout Link
        • Generate Payment Link
        • Generate Hosted Checkout
        • Get Payment Link Details
    • User Operations
      • Onboarding & KYC Flow
        • Create User Account
        • Method A: Add KYC File
        • Method B: Creating KYC Verification
        • Method B: Redirect to Verification
        • Method B: Get KYC Status
        • Add User Verification
        • Add POA File
      • Account Management
        • Update Existing User
        • Delete User
        • Suspend User
        • Unsuspend User
      • Balances & Transaction History
        • Get User Balances
          GET
        • Get User Transaction History
          GET
      • Currency Exchange
        • Retrieve Exchange Rate
        • Retrieve Exchange Rate and Create a Lock
        • Create and Finalize an Exchange
        • Retrieve Detailed Exchange Information
      • SEPA Transfers
        • Get SEPA Deposit Info
        • GET SEPA Deposit Contact List
        • Create a SEPA Transfer
        • Get SEPA Transfer Details
      • Crypto Withdrawal
        • Get Network Fee
        • Create Crypto Withdrawal
        • Get Crypto Withdrawal Details
      • Crypto Deposits
        • Update Travel Rule
      • Internal Transfers
        • Create a Transfer
        • Get Transfer Details
      • Virtual Cards
        • Create Virtual Card
        • Get All User Cards
        • Get Card Details
        • Update Card PIN
        • Block Card
        • Unblock Card
        • Get Card Limits
        • Update Card Limits
        • Delete Card
  • Integration
    • SDKs & Integration Guides
    • Transaction Processing
    • Error Handling
    • Rate Limiting
    • Webhooks
      • User & KYC Webhooks
        • User Balance Generation Webhook
        • KYC File Added Webhook
        • POA Verification Status Webhook
        • KYC Verification Status Webhook
        • Create Wallet Webhook
        • High Risk KYC Verification Webhook
      • Transfers & Payments Webhooks
        • Internal Transfer Webhook
        • IBAN Status Webhook
        • Partner SEPA Transfer Webhook
        • User SEPA Transfer Webhook
        • SEPA Deposit Webhook
        • Crypto Withdrawal Webhook
        • Crypto Deposit Webhook
        • Exchange Webhook
        • Card Transaction Webhook
        • Order status Webhook
        • Payment Link Webhook
      • Card Webhooks
        • Card 3DS Code Webhook
        • Card Activation Code Webhook
  • Reference
    • Supported Countries
    • Supported Currencies
    • Fees
    • FAQ
    • Changelog
    • Support
  1. Balances & Transaction History

Get User Balances

Testing Env
https://partner-api-stage.p100.io
Testing Env
https://partner-api-stage.p100.io
GET
/v1/user/{externalUserId}/balances
Retrieves the current balances for all cryptocurrencies and fiat currencies for a specific user. This endpoint provides a comprehensive overview of the user's financial assets within the system.
The endpoint returns detailed information about all fiat and crypto balances assigned to the user, including:
Current available amount for each currency
Currency name and type (fiat or crypto)
Wallet address (for crypto)
Exchange rate to EUR
Status of each balance (e.g., ACTIVE, WAITING_TO_BE_ACTIVATED)

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Access Denied
🟠404P412: User not exist
🟠400P500: Unknown exception
🟠400P501: Service temporarily unavailable
🟠400P459: User not verified
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://partner-api-stage.p100.io/v1/user/660a95b2-a486-4406-a90b-e3bcf7c74ecc/balances' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "userId": "5f8d1243-105f-43a2-bf9e-bfc7e97bac41",
    "fiatBalances": [
        {
            "id": "997d954c-529c-453d-b8b4-d35cb8710538",
            "amount": "0.00",
            "name": "eur",
            "rate": 1,
            "status": "ACTIVE"
        }
    ],
    "cryptoBalances": [
        {
            "id": "310f4e65-3589-4096-9d88-532bbf19ccb1",
            "amount": "0.00000000",
            "name": "doge",
            "rate": 0.09872368,
            "networkConfig": {
                "doge": {
                    "wallet": "nWAN7yRZxmsUk8vJTP5uvfaphDu9yeAdWt",
                    "mainnet": false,
                    "name": "test",
                    "withdrawal": {
                        "feeWithdrawal": 5,
                        "minWithdrawal": 0.01
                    },
                    "deposit": {
                        "minDeposit": 0
                    }
                }
            }
        },
        {
            "id": "b481253f-144d-4f5b-87bf-9c06557077c5",
            "amount": "0.00000000",
            "name": "ltc",
            "rate": 49.98676896,
            "networkConfig": {
                "ltc": {
                    "wallet": "QQ9NCNMJhXxP6okwd9eBc3cQ2CZx2a3o4K",
                    "mainnet": false,
                    "name": "test",
                    "withdrawal": {
                        "feeWithdrawal": 0.002,
                        "minWithdrawal": 0.001
                    },
                    "deposit": {
                        "minDeposit": 0
                    }
                }
            }
        },
        {
            "id": "840770da-996d-4f20-826f-5bc46bfdffd9",
            "amount": "3.000000",
            "name": "usdc",
            "rate": 0.858814,
            "networkConfig": {
                "ethereum": {
                    "wallet": "0x9d278eedb0d7af715658638473de7a1bb8cc7eff",
                    "mainnet": false,
                    "name": "sepolia",
                    "withdrawal": {
                        "feeWithdrawal": 10,
                        "minWithdrawal": 1
                    },
                    "deposit": {
                        "minDeposit": 5
                    }
                },
                "polygon": {
                    "wallet": "0x2d0236af29ea67721d013dd7ab44ffbad50918ef",
                    "mainnet": false,
                    "name": "amoy",
                    "withdrawal": {
                        "feeWithdrawal": 0.5,
                        "minWithdrawal": 2
                    },
                    "deposit": {
                        "minDeposit": 0
                    }
                }
            }
        },
        {
            "id": "a1a26f58-2f12-4738-8000-f0ee8927fd8b",
            "amount": "0.00000000",
            "name": "btc",
            "rate": 69258.93415658,
            "networkConfig": {
                "btc": {
                    "wallet": "2N7UHdZDFVqrfPpEJ8PGC9zBURy81DfZMhu",
                    "mainnet": false,
                    "name": "test",
                    "withdrawal": {
                        "feeWithdrawal": 0.0003,
                        "minWithdrawal": 0.000001
                    },
                    "deposit": {
                        "minDeposit": 0
                    }
                }
            }
        },
        {
            "id": "8f643c24-1ff8-4ff4-b10e-8bbed0a1f800",
            "amount": "0.00000000",
            "name": "eth",
            "rate": 1940.36699474,
            "networkConfig": {
                "ethereum": {
                    "wallet": "0x9d278eedb0d7af715658638473de7a1bb8cc7eff",
                    "mainnet": false,
                    "name": "sepolia",
                    "withdrawal": {
                        "feeWithdrawal": 0.003,
                        "minWithdrawal": 0.0006
                    },
                    "deposit": {
                        "minDeposit": 0
                    }
                }
            }
        },
        {
            "id": "4c5f296d-d85a-4f6f-a2ff-c0f6119ba98b",
            "amount": "0.00000000",
            "name": "pol",
            "rate": 0.08076022,
            "networkConfig": {
                "polygon": {
                    "wallet": "0x2d0236af29ea67721d013dd7ab44ffbad50918ef",
                    "mainnet": false,
                    "name": "amoy",
                    "withdrawal": {
                        "feeWithdrawal": 0.5,
                        "minWithdrawal": 0.00005
                    },
                    "deposit": {
                        "minDeposit": 0
                    }
                }
            }
        },
        {
            "id": "4a939ed8-8b08-4ce2-8834-b2c44a551282",
            "amount": "0.000000",
            "name": "eurc",
            "rate": 0.999906,
            "networkConfig": {
                "ethereum": {
                    "wallet": "0x9d278eedb0d7af715658638473de7a1bb8cc7eff",
                    "mainnet": false,
                    "name": "sepolia",
                    "withdrawal": {
                        "feeWithdrawal": 10,
                        "minWithdrawal": 4
                    },
                    "deposit": {
                        "minDeposit": 5
                    }
                }
            }
        }
    ]
}
Previous
Balances & Transaction History
Next
Get User Transaction History
Built with